% Pattern-letter, number, Left Ctxt, MatchChars, Right Ctxt, Phonemes
pattern(blank, 1, any, [blank], any, [pause]).
pattern(hyphen, 1, any, [hyphen], any, [silent]).
pattern(apostrophe, 1, [consv], [apostrophe,s], any, [z]).
pattern(apostrophe, 2, [vowel,cons0,consv,e], [apostrophe,s], any, [z]).
pattern(apostrophe, 3, [vowel], [apostrophe,s], any, [z]).
pattern(apostrophe, 4, any, [apostrophe], any, []).
pattern(ampersand, 1, any, [ampersand], any, [pause]). % ?
%pattern(1, 7, any, [consv], any, [pause]). % ?
pattern(quest_mark, 1, any, [quest_mark], any, [pause]).
pattern(excl_mark, 1, any, [excl_mark], any, [pause]).
pattern(a, 1, any, [a], none, [ax]).
pattern(a, 2, none, [a,r,e], none, [aa,r]).
pattern(a, 3, none, [a,r], [o], [ax,r]).
pattern(a, 4, any, [a,r], [vowel], [eh,r]).
pattern(a, 5, [cons1], [a,s], [vowel], [ey,s]).
pattern(a, 6, any, [a], [w,a], [ax]).
pattern(a, 7, any, [a,w], any, [ao]).
pattern(a, 8, [cons0], [a,n,y], any, [eh,n,iy]).
pattern(a, 9, any, [a], [cons1,front,vowel], [ey]).
pattern(a, 10, [vowel,cons0], [a,l,l,y], any, [ax,l,iy]).
pattern(a, 11, none, [a,l], [vowel], [ax,l]).
pattern(a, 12, any, [a,g,a,i,n], any, [ax,g,eh,n]).
pattern(a, 13, [vowel,cons0], [a,g], [e], [ih,j]).
pattern(a, 14, any, [a], [cons1,front,cons0,vowel], [ae]).
pattern(a, 15, [cons0], [a], [cons1,front], [ey]).
pattern(a, 16, any, [a], [cons1,suffix], [ey]).
pattern(a, 17, none, [a,r,r], any, [ax,r]).
pattern(a, 18, any, [a,r,r], any, [ae,r]).
pattern(a, 19, [cons0], [a,r], none, [aa,r]).
pattern(a, 20, any, [a,r], none, [er]).
pattern(a, 21, any, [a,r], any, [aa,r]).
pattern(a, 22, any, [a,i,r], any, [eh,r]).
pattern(a, 23, any, [a,i], any, [ey]).
pattern(a, 24, any, [a,y], any, [ey]).
pattern(a, 25, any, [a,u], any, [ao]).
pattern(a, 26, [vowel,cons0], [a,l], none, [ax,l]).
pattern(a, 27, [vowel,cons0], [a,l,s], none, [ax,lz]).
pattern(a, 28, any, [a,l,k], any, [ao,k]).
pattern(a, 29, any, [a,l], [cons1], [ao,l]).
pattern(a, 30, [cons0], [a,b,l,e], any, [ey,b,ax,l]).
pattern(a, 31, any, [a,b,l,e], any, [ax,b,ax,l]).
pattern(a, 32, any, [a,n,g], [front], [ey,nj]).
pattern(a, 33, any, [a], any, [ae]).
pattern(b, 1, none, [b,e], [cons1,vowel], [b,ih]).
pattern(b, 2, any, [b,e,i,n,g], any, [b,iy,ih,ng]).
pattern(b, 3, none, [b,o,t,h], none, [b,ow,th]).
pattern(b, 4, none, [b,u,s], [vowel], [b,ih,z]).
pattern(b, 5, any, [b,u,i,l], any, [b,ih,l]).
pattern(b, 6, [m], [b], none, [silent]). % CC
pattern(b, 7, any, [b], any, [b]).
pattern(c, 1, none, [c,h], [cons1], [k]).
pattern(c, 2, [cons1,e], [c,h], any, [k]).
pattern(c, 3, any, [c,h], any, [ch]).
pattern(c, 4, [s], [c,i], [vowel], [s,ay]).
pattern(c, 5, any, [c,i], [a], [sh]).
pattern(c, 6, any, [c,i], [o], [sh]).
pattern(c, 7, any, [c,i], [e,n], [sh]).
pattern(c, 8, any, [c], [front], [s]).
pattern(c, 9, any, [c,k], any, [k]).
pattern(c, 10, any, [c,o,m], [suffix], [k,ah,m]).
pattern(c, 11, any, [c], any, [k]).
pattern(d, 1, [vowel,cons0], [d,e,d], none, [d,ih,d]).
pattern(d, 2, [consv,e], [d], none, [d]).
pattern(d, 3, [vowel,cons1,cons0,e], [d], none, [t]).
pattern(d, 4, none, [d,e], [cons1,vowel], [d,ih]).
pattern(d, 5, none, [d,o], none, [d,uw]).
pattern(d, 6, none, [d,o,e,s], any, [d,ah,z]).
pattern(d, 7, none, [d,o,i,n,g], any, [d,uw,ih,ng]).
pattern(d, 8, none, [do,w], any, [d,aw]).
pattern(d, 9, any, [d,u], [a], [j,uw]).
pattern(d, 10, any, [d], any, [d]).
pattern(e, 1, [vowel,cons0], [e], none, [silent]).
pattern(e, 2, [apostrophe,cons1,cons0], [e], none, [silent]). % ?
pattern(e, 3, [cons0], [e], none, [iy]).
pattern(e, 4, [vowel], [e,d], none, [d]).
pattern(e, 5, [vowel,cons0], [e], [d], [silent]).
pattern(e, 6, any, [e,v], [e,r], [eh,v]).
pattern(e, 7, any, [e], [cons1,suffix], [iy]).
pattern(e, 8, any, [e,r,i], [vowel], [iy,r,iy]).
pattern(e, 9, any, [e,r,i], any, [eh,r,ih]).
pattern(e, 10, [vowel,cons0], [e,r], [vowel], [er]).
pattern(e, 11, any, [e,r], [vowel], [eh,r]).
pattern(e, 12, any, [e,r], any, [er]).
pattern(e, 13, none, [e,v,e,n], any, [iy,v,eh,n]).
pattern(e, 14, [vowel,cons0], [e], [w], [silent]).
pattern(e, 15, [t], [e,w], any, [uw]).
pattern(e, 16, [s], [e,w], any, [uw]).
pattern(e, 17, [r], [e,w], any, [uw]).
pattern(e, 18, [d], [e,w], any, [uw]).
pattern(e, 19, [l], [e,w], any, [uw]).
pattern(e, 20, [z], [e,w], any, [uw]).
pattern(e, 21, [n], [e,w], any, [uw]).
pattern(e, 22, [j], [e,w], any, [uw]).
pattern(e, 23, [t,h], [e,w], any, [uw]).
pattern(e, 24, [c,h], [e,w], any, [uw]).
pattern(e, 25, [s,h], [e,w], any, [uw]).
pattern(e, 26, any, [e,w], any, [yu,w]).
pattern(e, 27, any, [e], [o], [iy]).
pattern(e, 28, [vowel,cons0,s], [e,s], none, [ih,z]).
pattern(e, 29, [vowel,cons0,c], [e,s], none, [ih,z]).
pattern(e, 30, [vowel,cons0,g], [e,s], none, [ih,z]).
pattern(e, 31, [vowel,cons0,z], [e,s], none, [ih,z]).
pattern(e, 32, [vowel,cons0,x], [e,s], none, [ih,z]).
pattern(e, 33, [vowel,cons0,j], [e,s], none, [ih,z]).
pattern(e, 34, [vowel,cons0,c,h], [e,s], none, [ih,z]).
pattern(e, 35, [vowel,cons0,s,h], [e,s], none, [ih,z]).
pattern(e, 36, [vowel,cons0], [e], [s], [silent]).
pattern(e, 37, [vowel,cons0], [e,l,y], none, [l,iy]).
pattern(e, 38, [vowel,cons0], [e,m,e,n,t], any, [m,eh,nt]).
pattern(e, 39, any, [e,f,u,l], any, [f,uh,l]).
pattern(e, 40, any, [e,e], any, [iy]).
pattern(e, 41, any, [e,a,r,n], any, [er,n]).
pattern(e, 42, none, [e,a,r], [cons1], [er]).
pattern(e, 43, any, [e,a,d], any, [eh,d]).
pattern(e, 44, [vowel,cons0], [e,a], none, [iy,ax]).
pattern(e, 45, any, [e,a], [s,u], [eh]).
pattern(e, 46, any, [e,a], any, [iy]).
pattern(e, 47, any, [e,i,g,h], any, [ey]).
pattern(e, 48, any, [e,i], any, [iy]).
pattern(e, 49, none, [e,ye], any, [ay]). % ?
pattern(e, 50, any, [e,y], any, [iy]). % ?
pattern(e, 51, any, [e,u], any, [yu,w]).
pattern(e, 52, any, [e], any, [eh]).
pattern(f, 1, any, [f,u,l], any, [f,uh,l]).
pattern(f, 2, any, [f], any, [f]).
pattern(g, 1, any, [g,i,v], any, [g,ih,v]).
pattern(g, 2, none, [g], [i,cons1], [g]).
pattern(g, 3, any, [g,e], t, [g,eh]).
pattern(g, 4, [s,u], [g,g,e,s], any, [gj,eh,s]).
pattern(g, 5, any, [g,g], any, [g]).
pattern(g, 6, [b,vowel], [g], any, [g]).
pattern(g, 7, any, [g], [front], [j]).
pattern(g, 8, any, [g,r,e,a,t], any, [gr,ey,t]).
pattern(g, 9, [vowel], [g,h], any, [silent]).
pattern(g, 10, any, [g], any, [g]).
pattern(h, 1, none, [h,a,v], any, [h,ae,v]).
pattern(h, 2, none, [h,e,r,e], any, [h,iy,r]).
pattern(h, 3, none, [h,o,u,r], any, [aw,er]).
pattern(h, 4, any, [h,o,w], any, [h,aw]).
pattern(h, 5, any, [h], [vowel], [h]).
pattern(h, 6, any, [h], any, [silent]).
pattern(i, 1, none, [i,n], any, [ih,n]).
pattern(i, 2, none, [i], none, [ay]).
pattern(i, 3, any, [i,n], [d], [ay,n]).
pattern(i, 4, any, [i,e,r], any, [iy,er]).
pattern(i, 5, [vowel,cons0,r], [i,e,d], any, [iy,d]).
pattern(i, 6, any, [i,e,d], none, [ay,d]).
pattern(i, 7, any, [i,e,n], any, [iy,eh,n]).
pattern(i, 8, any, [i,e], [t], [ay,eh]).
pattern(i, 9, [cons0], [i], [suffix], [ay]).
pattern(i, 10, any, [i], [suffix], [iy]).
pattern(i, 11, any, [i,e], any, [iy]).
pattern(i, 12, any, [i], [cons1,front,cons0,vowel], [ih]).
pattern(i, 13, any, [i,r], [vowel], [ay,r]).
pattern(i, 14, any, [i,z], [suffix], [ay,z]).
pattern(i, 15, any, [i,s], [suffix], [ay,z]).
pattern(i, 16, any, [i], [d,suffix], [ay]).
pattern(i, 17, [front,cons1], [i], [cons1,front], [ih]).
pattern(i, 18, any, [i], [t,suffix], [ay]).
pattern(i, 19, [vowel,cons1,cons0], [i], [cons1,front], [ih]).
pattern(i, 20, any, [i], [cons1,front], [ay]).
pattern(i, 21, any, [i,r], any, [er]).
pattern(i, 22, any, [i,g,h], any, [ay]).
pattern(i, 23, any, [i,l,d], any, [ay,ld]).
pattern(i, 24, any, [i,g,n], none, [ay,n]).
pattern(i, 25, any, [i,g,n], [cons1], [ay,n]).
pattern(i, 26, any, [i,g,n], [suffix], [ay,n]).
pattern(i, 27, any, [i,q,u,e], any, [iy,k]).
pattern(i, 28, any, [i], any, [ih]).
pattern(j, 1, any, [j], any, [j]).
pattern(k, 1, none, [k], [n], [silent]).
pattern(k, 2, any, [k], any, [k]).
pattern(l, 1, any, [l,o], [n,vowel], [l,ow]).
pattern(l, 2, [l], [l], any, [silent]).
pattern(l, 3, [vowel,cons1,cons0], [l], [suffix], [ax,l]).
pattern(l, 4, any, [l,e,a,d], any, [l,iy,d]).
pattern(l, 5, any, [l], any, [l]).
pattern(m, 1, any, [m,o,v], any, [m,uw,v]).
pattern(m, 2, any, [m], any, [m]).
pattern(n, 1, [e], [n,g], [front], [nj]).
pattern(n, 2, any, [n,g], [r], [ng,g]).
pattern(n, 3, any, [n,g], [vowel], [ng,g]).
pattern(n, 4, any, [n,g,l], [suffix], [ng,g,ax,l]).
pattern(n, 5, any, [n,g], any, [ng]).
pattern(n, 6, any, [n,k], any, [ng,k]).
pattern(n, 7, none, [no,w], none, [n,aw]).
pattern(n, 8, any, [n], any, [n]).
pattern(o, 1, any, [o,f], none, [ax,v]).
pattern(o, 2, any, [o,r,o,u,g,h], any, [er,ow]).
pattern(o, 3, [vowel,cons0], [o,r], none, [er]).
pattern(o, 4, [vowel,cons0], [o,r,s], none, [er,z]).
pattern(o, 5, any, [o,r], any, [ao,r]).
pattern(o, 6, none, [o,n,e], any, [w,ah,n]).
pattern(o, 7, any, [o,w], any, [ow]).
pattern(o, 8, none, [o,v,e,r], any, [ow,v,er]).
pattern(o, 9, any, [o,v], any, [ah,v]).
pattern(o, 10, any, [o], [cons1,suffix], [ow]).
pattern(o, 11, any, [o], [cons1,e,n], [ow]).
pattern(o, 12, any, [o], [cons1,i,vowel], [ow]). % ?
pattern(o, 13, any, [o,l], [d], [ow,l]).
pattern(o, 14, any, [o,u,g,h,t], any, [ao,t]).
pattern(o, 15, any, [o,u,g,h], any, [ah,f]).
pattern(o, 16, none, [o,u], any, [aw]).
pattern(o, 17, [h], [o,u], [s,vowel], [aw]). % ?
pattern(o, 18, any, [o,u,s], any, [ax,s]).
pattern(o, 19, any, [o,u,r], any, [ao,r]).
pattern(o, 20, any, [o,u,l,d], any, [uh,d]).
pattern(o, 21, [cons1], [o,u], [cons1,l], [ah]).
pattern(o, 22, any, [o,u,p], any, [uw,p]).
pattern(o, 23, any, [o,u], any, [aw]).
pattern(o, 24, any, [o,y], any, [oy]).
pattern(o, 25, any, [o,i,n,g], any, [ow,ih,ng]).
pattern(o, 26, any, [o,i], any, [oy]).
pattern(o, 27, any, [o,o,r], any, [ao,r]).
pattern(o, 28, any, [o,o,k], any, [uh,k]).
pattern(o, 29, any, [o,o,d], any, [uh,d]).
pattern(o, 30, any, [o,o], any, [uw]).
pattern(o, 31, any, [o], [e], [ow]).
pattern(o, 32, any, [o], none, [ow]).
pattern(o, 33, any, [o,a], any, [ow]).
pattern(o, 34, none, [o,n,l,y], any, [ow,nl,iy]).
pattern(o, 35, none, [o,n,c,e], any, [w,ah,ns]).
pattern(o, 36, any, [o,n,apostrophe,t], any, [ow,nt]).
pattern(o, 37, [c], [o], [n], [aa]).
pattern(o, 38, any, [o], [n,g], [ao]).
pattern(o, 39, [cons1,cons0], [o], [n], [ah]).
pattern(o, 40, [i], [o,n], any, [ax,n]).
pattern(o, 41, [vowel,cons0], [o,n], none, [ax,n]).
pattern(o, 42, [vowel,cons1], [o,n], any, [ax,n]).
pattern(o, 43, any, [o], [s,t], [ow]).
pattern(o, 44, any, [o,f], [cons1], [ao,f]).
pattern(o, 45, any, [o,t,h,e,r], any, [ah,dh,er]).
pattern(o, 46, any, [o,s,s], none, [ao,s]).
pattern(o, 47, [vowel,cons1,cons0], [o,m], any, [ah,m]).
pattern(o, 48, any, [o], any, [aa]).
pattern(p, 1, any, [p,h], any, [f]).
pattern(p, 2, any, [p,e,o,p], any, [p,iy,p]).
pattern(p, 3, any, [po,w], any, [p,aw]). % ?
pattern(p, 4, any, [p,u,t], none, [p,uh,t]).
pattern(p, 5, any, [p], any, [p]).
pattern(q, 1, any, [q,u,a,r], any, [kw,ao,r]).
pattern(q, 2, any, [q,u], any, [kw]).
pattern(q, 3, any, [q], any, [k]).
pattern(r, 1, none, [r,e], [cons1,vowel], [r,iy]).
pattern(r, 2, any, [r], any, [r]).
pattern(s, 1, any, [s,h], any, [sh]).
pattern(s, 2, [vowel], [s,i,o,n], any, [zh,ax,n]).
pattern(s, 3, any, [s,o,m,e], any, [s,ah,m]).
pattern(s, 4, [vowel], [s,u,r], [vowel], [zh,er]).
pattern(s, 5, any, [s,u,r], [vowel], [sh,er]).
pattern(s, 6, [vowel], [s,u], [vowel], [zh,uw]).
pattern(s, 7, [vowel], [s,s,u], [vowel], [sh,uw]).
pattern(s, 8, [vowel], [s,e,d], none, [zd]).
pattern(s, 9, [vowel], [s], [vowel], [z]).
pattern(s, 10, any, [s,a,i,d], any, [s,eh,d]).
pattern(s, 11, [cons1], [s,i,o,n], any, [sh,ax,n]).
pattern(s, 12, any, [s], [s], [silent]).
pattern(s, 13, [consv], [s], none, [z]).
pattern(s, 14, [vowel,cons0,consv,e], [s], none, [z]).
pattern(s, 15, [vowel,cons1,cons0,vowel,vowel], [s], none, [z]).
pattern(s, 16, [vowel,cons1,cons0,vowel], [s], none, [s]).
pattern(s, 17, [u], [s], none, [s]).
pattern(s, 18, [cons0,vowel], [s], none, [z]).
pattern(s, 19, none, [s,c,h], any, [s,k]).
pattern(s, 20, any, [s], [c,front], [silent]). 
pattern(s, 21, [vowel], [s,m], any, [z,m]).
pattern(s, 22, [vowel], [s,n], [apostrophe], [z,ax,n]). % ?
pattern(s, 23, any, [s], any, [s]).
pattern(t, 1, none, [t,h,e], none, [dh,ax]).
pattern(t, 2, any, [t,o], none, [t,uw]).
pattern(t, 3, any, [t,h,a,t], none, [dh,ae,t]).
pattern(t, 4, none, [t,h,i,s], none, [dh,ih,s]).
pattern(t, 5, none, [t,he,y], any, [dh,ey]).
pattern(t, 6, none, [t,h,e,r,e], any, [dh,eh,r]).
pattern(t, 7, any, [t,h,e,r], any, [dh,er]).
pattern(t, 8, any, [t,h,e,i,r], any, [dh,eh,r]).
pattern(t, 9, none, [t,h,a,n], none, [dh,ae,n]).
pattern(t, 10, none, [t,h,e,m], none, [dh,eh,m]).
pattern(t, 11, any, [t,h,e,s,e], none, [dh,iy,z]).
pattern(t, 12, none, [t,h,e,n], any, [dh,eh,n]).
pattern(t, 13, any, [t,h,r,o,u,g,h], any, [th,r,uw]).
pattern(t, 14, any, [t,h,o,s,e], any, [dh,ow,z]).
pattern(t, 15, any, [t,h,o,u,g,h], none, [dh,ow]).
pattern(t, 16, none, [t,h,u,s], any, [dh,ah,s]).
pattern(t, 17, any, [t,h], any, [th]).
pattern(t, 18, [vowel,cons0], [t,e,d], none, [t,ih,d]).
pattern(t, 19, [s], [t,i], [vowel,n], [ch]). % ?
pattern(t, 20, any, [t,i], [o], [sh]).
pattern(t, 21, any, [t,i], [a], [sh]).
pattern(t, 22, any, [t,i,e,n], any, [sh,ax,n]).
pattern(t, 23, any, [t,u,r], [vowel], [ch,er]).
pattern(t, 24, any, [t,u], [a], [ch,uw]).
pattern(t, 25, none, [t,w,o], any, [t,uw]).
pattern(t, 26, any, [t], any, [t]).
pattern(u, 1, none, [u,n], [i], [yu,n]).
pattern(u, 2, none, [u,n], any, [ah,n]).
pattern(u, 3, none, [u,p,o,n], any, [ax,p,ao,n]).
pattern(u, 4, [t], [u,r], [vowel], [uh,r]).
pattern(u, 5, [s], [u,r], [vowel], [uh,r]).
pattern(u, 6, [r], [u,r], [vowel], [uh,r]).
pattern(u, 7, [d], [u,r], [vowel], [uh,r]).
pattern(u, 8, [l], [u,r], [vowel], [uh,r]).
pattern(u, 9, [z], [u,r], [vowel], [uh,r]).
pattern(u, 10, [n], [u,r], [vowel], [uh,r]).
pattern(u, 11, [j], [u,r], [vowel], [uh,r]).
pattern(u, 12, [t], [u,r], [vowel], [uh,r]).
pattern(u, 13, [c,h], [u,r], [vowel], [uh,r]).
pattern(u, 14, [s,h], [u,r], [vowel], [uh,r]).
pattern(u, 15, any, [u,r], [vowel], [y,uh,r]).
pattern(u, 16, any, [u,r], any, [er]).
pattern(u, 17, any, [u], [cons1], [ah]).
pattern(u, 18, any, [u], [cons1,cons1], [ah]).
pattern(u, 19, any, [u,y], any, [ay]).
pattern(u, 20, [g], [u], [vowel], [silent]).
pattern(u, 21, [g], [u], [suffix], [silent]).
pattern(u, 22, [g], [u], [vowel], [w]).
pattern(u, 23, [vowel,n], [u], any, [yu,w]).
pattern(u, 24, [t], [u], any, [uw]).
pattern(u, 25, [s], [u], any, [uw]).
pattern(u, 26, [r], [u], any, [uw]).
pattern(u, 27, [d], [u], any, [uw]).
pattern(u, 28, [l], [u], any, [uw]).
pattern(u, 29, [z], [u], any, [uw]).
pattern(u, 30, [n], [u], any, [uw]).
pattern(u, 31, [j], [u], any, [uw]).
pattern(u, 32, [t,h], [u], any, [uw]).
pattern(u, 33, [c,h], [u], any, [uw]).
pattern(u, 34, [s,h], [u], any, [uw]).
pattern(u, 35, any, [u], any, [yu,w]).
pattern(v, 1, any, [v,i,e,w], any, [v,yu,w]).
pattern(v, 2, any, [v], any, [v]).
pattern(w, 1, none, [w,e,r,e], any, [w,er]).
pattern(w, 2, any, [w,a], [s], [w,aa]).
pattern(w, 3, any, [w,a], [t], [w,aa]).
pattern(w, 4, any, [w,e,r,e], any, [wh,eh,r]).
pattern(w, 5, any, [w,h,a,t], any, [wh,aa,t]).
pattern(w, 6, any, [w,h,o,l], any, [h,ow,l]).
pattern(w, 7, any, [w,h,o], any, [h,uw]).
pattern(w, 8, any, [w,h], any, [wh]).
pattern(w, 9, any, [w,a,r], any, [w,ao,r]).
pattern(w, 10, any, [w,o,r], [cons1], [w,er]).
pattern(w, 11, any, [w,r], any, [r]).
pattern(w, 12, any, [w], any, [w]).
pattern(x, 1, any, [x], any, [k,s]).
pattern(y, 1, any, [y,o,u,n,g], any, [y,ah,ng]).
pattern(y, 2, none, [y,o,u], any, [yu,w]).
pattern(y, 3, none, [y,e,s], any, [y,eh,s]).
pattern(y, 4, none, [y], any, [y]).
pattern(y, 5, [vowel,cons1,cons0], [y], none, [iy]).
pattern(y, 6, [vowel,cons1,cons0], [y], [i], [iy]).
pattern(y, 7, [cons0], [y], none, [ay]).
pattern(y, 8, [cons0], [y], [vowel], [ay]).
pattern(y, 9, [cons0], [y], [cons1,front,cons0,vowel], [ih]).
pattern(y, 10, [cons0], [y], [cons1,vowel], [ay]).
pattern(y, 11, any, [y], any, [ih]).
pattern(z, 1, any, [z], any, [z]).

